* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Inter", sans-serif;
}

body {
  background-color: rgba(196, 238, 205, 1);
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-top: 28px;
  background-image: url(./assets/bg.png);
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}

.container {
  background-color: #fff;
  box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.08), 0px 1.5px 6px rgba(0, 0, 0, 0.05),
    0px 4px 16px rgba(0, 0, 0, 0.04);
  padding: 20px 24px;
  border-radius: 28px;
  max-width: 434px;
  width: calc(100% - 16px * 2);
  margin-bottom: auto;
  position: relative;
  z-index: 1;

  display: flex;
  flex-direction: column;
  gap: 28px;
}
.logo {
  height: 86px;
}
.logo-link {
  width: 100%;
  display: flex;
  justify-content: center;
}
.navigation {
  list-style: none;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  width: 100%;
  gap: 12px;
}
.navigation__link {
  background-color: rgba(50, 200, 83, 1);
  padding: 20px 16px;
  border-radius: 16px;
  height: 148px;
  text-decoration: none;
  width: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.navigation__arrow {
  position: absolute;
  top: 20px;
  right: 16px;
}
.navigation__image {
  width: 48px;
  height: 48px;
  background-color: rgba(39, 166, 68, 1);
  padding: 4px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}
.navigation__text {
  font-size: 16px;
  line-height: 20px;
  font-weight: 600;
  color: #fff;
}
.socials-wrapper {
  width: 100%;
  padding: 0 16px;
  display: flex;
  justify-content: space-between;
}
.socials__col {
  display: flex;
  flex-direction: column;
  gap: 12px;
}
.socials__col:last-child {
  align-items: flex-end;
}
.socials__text {
  font-size: 14px;
  line-height: 24px;
  font-weight: 500;
}
.socials__list {
  display: flex;
  gap: 20px;
}
.socials__link {
  width: 40px;
  height: 40px;
}
.socials__link img {
  width: 100%;
  height: 100%;
}
.contacts-wrapper {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.contacts__item {
  border: 1px solid rgba(39, 166, 68, 1);
  border-radius: 16px;
  padding: 13px;
  position: relative;
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
}
.contacts__item-dark {
  background-color: rgba(39, 166, 68, 1);
}
.contacts__text {
  color: #000;
  font-weight: 600;
  font-size: 18px;
  line-height: 24px;
  text-align: center;
}
.contacts__text-light {
  color: #fff;
}
.contacts__icon {
  position: absolute;
  right: 14px;
  width: 24px;
}

.footer {
  width: 100%;
  padding: 30px;
  min-height: 155px;
  background-color: #fff;
  display: flex;
  align-items: end;
  margin-top: -50px;
}
.partners {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  flex-wrap: wrap;
  gap: 32px;
}

@media screen and (max-width: 768px) {
  .footer {
    min-height: 210px;
  }
}

@media screen and (max-width: 425px) {
  body {
    padding-top: 16px;
  }
  .logo {
    height: 72px;
  }
  .navigation {
    grid-template-columns: 1fr;
  }
  .navigation__link {
    height: 80px;
    padding: 16px;
    padding-left: 20px;
    padding-right: 32px;
    gap: 12px;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
  }
  .socials-wrapper {
    padding: 0;
  }
  .socials__list {
    gap: 16px;
  }
  .contacts__icon {
    display: none;
  }
  .contacts__item:nth-child(1) {
    order: 2;
  }
  .contacts__item:nth-child(2) {
    order: 1;
  }
  .contacts__item:nth-child(3) {
    order: 3;
  }
  .contacts__item:nth-child(3) .contacts__icon {
    display: block;
  }
  .footer {
    min-height: 255px;
    align-items: center;
    margin-top: -40px;
  }
}

@media screen and (max-width: 355px) {
  .socials-wrapper {
    flex-direction: column;
    align-items: center;
    gap: 16px;
  }
  .socials__col {
    align-items: center !important;
  }
}
